Subject: Re: [RFC/PATCH] git-gui: display summary when showing diff of a submodule

From: Michael J Gruber <[email-masked]>
Date: Tue, 07 Jul 2009 15:01:28 +0200

Jens Lehmann venit, vidit, dixit 06.07.2009 23:31:
> As it is hard to say what changed in a submodule by looking at the hashes,
> let's show the colored submodule summary instead.
> 

I can't comment on the patch but I find the goal very valid. I just
updated the submodule tutorial wiki to use "git submodule summary" in
addition to plain diff.

Me wonders whether the summary should be the default diff output, or at
least a builtin merge driver which can be selected using attributes or such.

Michael